| xmonad-contrib-0.8.1: Third party extensions for xmonad | Source code | Contents | Index

XMonad.Actions.DeManage

Portability | unportable
Stability | unstable
Maintainer | Spencer Janssen <spencerjanssen@gmail.com>

Contents

Usage

Description

This module provides a method to cease management of a window without unmapping it. This is especially useful for applications like kicker and gnome-panel.

To make a panel display correctly with xmonad:

- Determine the pixel size of the panel, add that value to XMonad.Core.XConfig.defaultGaps
- Launch the panel
- Give the panel window focus, then press `mod-d` (or whatever key you have bound `demanage` to)
- Convince the panel to move/resize to the correct location. Changing the panel's position setting several times seems to work.

Synopsis

demanage :: Window -> X ()

Usage

To use demanage, add this import to your `~/.xmonad/xmonad.hs`:

         import XMonad.Actions.DeManage

And add a keybinding, such as:

     , ((modMask x,               xK_d     ), withFocused demanage)

For detailed instructions on editing your key bindings, see XMonad.Doc.Extending.

demanage :: Window -> X () | Source

Stop managing the currently focused window.
Produced by Haddock version 2.4.2